MessageProducer
Date: 2015-09-19

javax.jms

## Interface MessageProducer

- All Known Subinterfaces:
    QueueSender, TopicPublisher

      public interface MessageProducer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getDeliveryMode()`
    `Destination` | `getDestination()`
    `boolean` | `getDisableMessageID()`
    `boolean` | `getDisableMessageTimestamp()`
    `int` | `getPriority()`
    `long` | `getTimeToLive()`
    `void` | `send(Destination destination, Message message)`
    `void` | `send(Destination destination, Message message, int deliveryMode, int priority, long timeToLive)`
    `void` | `send(Message message)`
    `void` | `send(Message message, int deliveryMode, int priority, long timeToLive)`
    `void` | `setDeliveryMode(int deliveryMode)`
    `void` | `setDisableMessageID(boolean value)`
    `void` | `setDisableMessageTimestamp(boolean value)`
    `void` | `setPriority(int defaultPriority)`
    `void` | `setTimeToLive(long timeToLive)`

- - ### Method Detail

    - #### setDisableMessageID

          void setDisableMessageID(boolean value)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### getDisableMessageID

          boolean getDisableMessageID()
                                      throws JMSException

      Throws:
        `JMSException`

    - #### setDisableMessageTimestamp

          void setDisableMessageTimestamp(boolean value)
                                          throws JMSException

      Throws:
        `JMSException`

    - #### getDisableMessageTimestamp

          boolean getDisableMessageTimestamp()
                                             throws JMSException

      Throws:
        `JMSException`

    - #### setDeliveryMode

          void setDeliveryMode(int deliveryMode)
                               throws JMSException

      Throws:
        `JMSException`

    - #### getDeliveryMode

          int getDeliveryMode()
                              throws JMSException

      Throws:
        `JMSException`

    - #### setPriority

          void setPriority(int defaultPriority)
                           throws JMSException

      Throws:
        `JMSException`

    - #### getPriority

          int getPriority()
                          throws JMSException

      Throws:
        `JMSException`

    - #### setTimeToLive

          void setTimeToLive(long timeToLive)
                             throws JMSException

      Throws:
        `JMSException`

    - #### getTimeToLive

          long getTimeToLive()
                             throws JMSException

      Throws:
        `JMSException`

    - #### getDestination

          Destination getDestination()
                                     throws JMSException

      Throws:
        `JMSException`

    - #### close

          void close()
                     throws JMSException

      Throws:
        `JMSException`

    - #### send

          void send(Message message)
                    throws JMSException

      Throws:
        `JMSException`

    - #### send

          void send(Message message,
                  int deliveryMode,
                  int priority,
                  long timeToLive)
                    throws JMSException

      Throws:
        `JMSException`

    - #### send

          void send(Destination destination,
                  Message message)
                    throws JMSException

      Throws:
        `JMSException`

    - #### send

          void send(Destination destination,
                  Message message,
                  int deliveryMode,
                  int priority,
                  long timeToLive)
                    throws JMSException

      Throws:
        `JMSException`